#!/bin/bash
 
CURRENT_DIR=`pwd`

echo "Clean CLHEP libraries"  

## test invaromental variable
if [ ! -d $CLHEP_PATH ]
then
 echo "You did not set \$CLHEPPATH to correctly !  Stop installation";
 exit 0;
else
echo " \$CLHEP_PATH set to $CLHEP_PATH  -> OK";
fi


if [ ! -d $ROOTSYS ]
then
 echo "You did not set \$ROOTSYS to correctly !  Stop installation";
 exit 0;
else
echo " \$ROOTSYS set to $ROOTSYS  -> OK";
fi


echo "";
echo "Clean CLHEP source directory";
make clean -C $RUNMC/packages/clhep_tmp/CLHEP

echo "";
echo "Clean ROOT source directory"; 
make clean -C $RUNMC/packages/root_tmp

cd $CURRENT_DIR
echo "all done!";
exit 0

